%define anolis_release 1

%define debug_package %{nil}
%define product_family Anolis OS
%define base_release_version 8
%define full_release_version 8
%define compat_release_version 8
%define dist .an%{base_release_version}

Name:           anolis-latest-repos
Version:        %{full_release_version}
Release:        %{anolis_release}%{?dist}
Epoch:          1
Summary:        %{product_family} %{base_release_version} repo files
Group:          System Environment/Base
License:        MulanPSLv2
Obsoletes:      anolis-repos < %{epoch}:%{full_release_version}
Provides:       anolis-repos = %{epoch}:%{full_release_version}
Provides:       anolis-repos(%{base_release_version}) = %{epoch}:%{full_release_version}
Requires:       system-release >= %{base_release_version}
Requires:       anolis-gpg-keys >= %{base_release_version}

Source100:	AnolisOS-BaseOS.repo
Source101:	AnolisOS-AppStream.repo
Source102:	AnolisOS-PowerTools.repo
Source103:      AnolisOS-Source.repo
Source104:      AnolisOS-Debuginfo.repo
Source105:      AnolisOS-HighAvailability.repo

%description
%{product_family} %{base_release_version} repo files

%prep
echo OK

%build
echo OK

%install
rm -rf %{buildroot}

# copy yum repos
mkdir -p -m 755 %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE100} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE101} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE102} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE103} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE104} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE105} %{buildroot}/etc/yum.repos.d

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%config(noreplace) /etc/yum.repos.d/*

%changelog
* Mon Oct 18 2021 Liwei Ge <geliwei@openanolis.org> - 8-1
- Init version of anolis-latest-repos
